You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@lucene.apache.org by th...@apache.org on 2014/12/05 16:11:34 UTC

svn commit: r1643318 - /lucene/dev/branches/branch_5x/solr/bin/solr

Author: thelabdude
Date: Fri Dec  5 15:11:34 2014
New Revision: 1643318

URL: http://svn.apache.org/r1643318
Log:
SOLR-6653: don't exit with error code if restarting

Modified:
    lucene/dev/branches/branch_5x/solr/bin/solr

Modified: lucene/dev/branches/branch_5x/solr/bin/solr
URL: http://svn.apache.org/viewvc/lucene/dev/branches/branch_5x/solr/bin/solr?rev=1643318&r1=1643317&r2=1643318&view=diff
==============================================================================
--- lucene/dev/branches/branch_5x/solr/bin/solr (original)
+++ lucene/dev/branches/branch_5x/solr/bin/solr Fri Dec  5 15:11:34 2014
@@ -893,8 +893,10 @@ else
   if [ "$SOLR_PID" != "" ]; then
     stop_solr "$SOLR_SERVER_DIR" "$SOLR_PORT" "$STOP_KEY" "$SOLR_PID"
   else
-    echo -e "No process found for Solr node running on port $SOLR_PORT"
-    exit 1
+    if [ "$SCRIPT_CMD" == "stop" ]; then
+      echo -e "No process found for Solr node running on port $SOLR_PORT"
+      exit 1
+    fi
   fi
 fi